List application deployment placements (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/deployments \
--header 'Authorization: Bearer <token>'{
"deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"draft_deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"failed_deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"total_clusters": 123,
"total_stacks": 123,
"healthy_count": 123,
"degraded_count": 123,
"failed_count": 123,
"clusters_up_to_date": 123,
"clusters_behind": 123,
"latest_chart_version": "<string>"
}{
"detail": "<string>"
}Applications
List application deployment placements (browser session)
Returns owned application placements and optional workload identity for independent live image verification. Workload references are the applied manifest identities, not proof of running images or availability.
GET
/
org
/
applications
/
{application_id}
/
deployments
List application deployment placements (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/deployments \
--header 'Authorization: Bearer <token>'{
"deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"draft_deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"failed_deployments": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"cluster_kind": "<string>",
"environment": "<string>",
"deployment_kind": "<string>",
"addon_name": "<string>",
"stack_name": "<string>",
"namespace": "<string>",
"app_resource_id": "<string>",
"installed_version": "<string>",
"health_status": "<string>",
"sync_status": "<string>",
"pod_ready": 123,
"pod_total": 123,
"desired_version": "<string>",
"version_drift": true,
"last_updated_at": "<string>",
"is_draft": true,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"failure_message": "<string>",
"failure_condition": "<string>",
"manifest_drift": "<string>",
"manifest_drift_detail": "<string>",
"redirect_hosts": [
"<string>"
],
"workload_references": [
{
"kind": "Deployment",
"name": "<string>",
"namespace": "<string>"
}
]
}
],
"total_clusters": 123,
"total_stacks": 123,
"healthy_count": 123,
"degraded_count": 123,
"failed_count": 123,
"clusters_up_to_date": 123,
"clusters_behind": 123,
"latest_chart_version": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Application deployment placements
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes